data:
  INFmode: raw
  Img_list: data/training_indigo_4590.txt
  balance_edges: false
  chunk_size: 1500
  context_num_NN: 4
  data_dir: data/generated-dataset/chem/fullset/train/train_pubchem_indigo_rdkit_edges/all/images/
  dataset: chem
  extract_mst: false
  feat_parallel: 1
  find_punc: false
  format: lg
  given_rel: false
  given_seg: false
  given_sym: false
  graph: complete
  inputs: primitives_gtsymbols
  last_epoch: 0
  level: stk
  lg_dir: data/generated-dataset/chem/fullset/train/train_pubchem_indigo_rdkit_edges/all/lgs_filtered
  lg_mode: contours
  multidigraph: false
  node_seg: false
  noise_augmentation: false
  num_edge_classes: 2
  num_node_classes: 37
  num_workers: 10
  oneRelLimit: false
  oversample_nodes: false
  oversample_relation: false
  oversample_segmentation: false
  prune_num_NN: 6
  prune_rel: true
  prune_seg: true
  removeNoRel: true
  remove_opposite_edges: true
  sample_edges_uniform: false
  sample_nodes_uniform: false
  sample_reduction: 1
  symbol_height: 32
  symbol_table: config/chem_symbol_classes_37.txt
  task: train
  traces_only: false
  train_val_ratio: 0.95
  tsv_dir: taken/from/run/config
init:
  batch_size: 64
  checkpoint: null
  last_epoch: 0
  module_only: false
  num_gpu: single
  num_workers: 10
  port: '29500'
  pretrained_model: false
  print_module: false
  recurrent: false
  seed: 0
  shuffle: true
  use_gpu: true
  validation: true
  visualize_loss: 1
  visualize_slt: false
  weighted_random_sampler: true
learn:
  cb_loss_beta: 0.99
  focal_gamma: 3.0
  gamma: 0.5
  loss_combination: sum
  loss_function: CE
  loss_weights: []
  lr: 0.0005
  lr_step: 30
  momentum: 0.9
  num_epochs: 100
  optim: Adam
  weight_decay: '0'
  weight_method: frequency
model_name: VGP_6NN_resnest_pretrained_indigo_5k
net:
  att_activation: false
  att_multiply: false
  att_out_channels: 2
  context_num_NN: 4
  dropout: 0
  encoder: resnest
  final_activation: ''
  gnn: ''
  gnn_hidden_features:
  - 512
  model: chem_vgp_nn
  node_seg: false
  num_edge_classes: 2
  num_feat: 32
  num_node_classes: 37
  num_temp: 1
  pool: spp_avg
  pool_out:
  - 1
  - 3
  prune_num_NN: 6
  prune_rel: true
  prune_seg: true
  resnest:
    input_ch: 1
    keep_layers:
    - conv1
    - bn1
    - relu
    - maxpool
    - layer1
    - layer2
    layer0_kernel_size: 3
    layer0_maxpool: false
    layer0_padding: same
    layer0_stride: 1
    pretrained: true
    remove_avd: true
    remove_downsample: true
  se:
    block: bottleneck
    downsample_kernel_size: 3
    downsample_padding: 1
    groups: 32
    inplanes: 128
    input_ch: 1
    layer0_kernel_size: 3
    layer0_maxpool: 0
    layer0_padding: same
    layer0_stride: 1
    layers:
    - 6
    - 6
    multi: false
    norm: group
    reduction: 16
  simple:
    base_ch: 64
    input_ch: 1
    norm: group
    num_down: 3
    num_res: 6
  squeeze:
    dropout: 0.5
    input_ch: 1
  symbol_height: 32
  window: false
out:
  dot_dir: dot_pdfs/infty_run/
  lg_output: true
  slt_pdf: false
print_step: 10
run_dir: outputs/fullset/indigo_5k
save_step: 1
window_size: 900
